package com.engine.kq.service.impl;

import com.engine.core.impl.Service;
import com.engine.kq.cmd.schedulecode.*;
import com.engine.kq.service.KQScheduleCodeService;
import weaver.hrm.User;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;


public class KQScheduleCodeServiceImpl extends Service implements KQScheduleCodeService {

	@Override
	public Map<String, Object> getScheduleCodeCondition(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetScheduleCodeConditionCmd(params, user));
	}
	
	@Override
	public Map<String, Object> getScheduleCodeList(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetScheduleCodeListCmd(params, user));
	}

	@Override
	public Map<String, Object> getScheduleCodeForm(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetScheduleCodeFormCmd(params, user));
	}
	
	@Override
	public Map<String, Object> saveScheduleCode(Map<String, Object> params, User user) {
		return commandExecutor.execute(new SaveScheduleCodeCmd(params, user));
	}

	@Override
	public Map<String, Object> getScheduleDeviceCondition(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetScheduleDeviceConditionCmd(params, user));
	}

	@Override
	public Map<String, Object> getScheduleDeviceList(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetScheduleDeviceListCmd(params, user));
	}

	@Override
	public Map<String, Object> getScheduleDeviceForm(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetScheduleDeviceFormCmd(params, user));
	}

	@Override
	public Map<String, Object> saveScheduleDevice(Map<String, Object> params, User user) {
		return commandExecutor.execute(new SaveScheduleDeviceCmd(params, user));
	}

	@Override
	public Map<String, Object> delScheduleDevice(Map<String, Object> params, User user) {
		return commandExecutor.execute(new DelScheduleDeviceCmd(params, user));
	}

	@Override
	public Map<String, Object> getScheduleCodeImportForm(Map<String, Object> params, User user) {
		return commandExecutor.execute(new GetScheduleCodeImportFormCmd(params, user));
	}

	@Override
	public Map<String, Object> saveScheduleCodeImport(Map<String, Object> params, User user, HttpServletRequest request) {
		return commandExecutor.execute(new SaveScheduleCodeImportCmd(params, user, request));
	}
}
